Subject: bug#40031: closed (Re: bug#40031: OpenScad Test errors)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Mar 2020 18:07:01 +0000

Your bug report

#40031: OpenScad Test errors

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40031: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40031
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40031: OpenScad Test errors
From: Marius Bakke <[email-masked]>
To: Ekaitz Zarraga <[email-masked]>, Leo Famulari <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 20 Mar 2020 19:06:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ekaitz Zarraga <[email-masked]> writes:

> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Wednesday, March 11, 2020 10:51 PM, Leo Famulari <[email-masked]> wrote:
>
>> On Wed, Mar 11, 2020 at 08:48:43PM +0000, Ekaitz Zarraga wrote:
>>
>> > Hi,
>> > My installation of GuixSD fails to install OpenSCAD.
>> > Running `guix environment --pure --ad-hoc openscad` fails with the errors I attach.
>> > Can you reproduce or is it just a problem with my installation?
>> > Ideas about how can I correct this?
>>
>> Try running it again the build with --keep-failed and then looking in
>> the build directory for test suite logs. There is not much to go on in
>> the build log you sent.
>
>
>
> I made it.
> I opened the folder and it's compiled and it runs pretty well.
>
> The tests have the following errors which are exclusively related with the test tooling, in my opinion.
>
> ```
> Unable to open a connection to the X server.
> DISPLAY=:1
> Can't create OpenGL OffscreenView. Code: -1.
>
> Error: openscad failed with return code 1
>
> Test time =   0.06 sec
> ```
>
> The tests compare the *image* of what it's supposed to render OpenSCAD with some already rendered images.
> The problem is it's trying to access a screen and it's unable to do it.
> There's `xvfb` for X testing but it's like it's not working.
>
> Ideas?

It looks like this problem fixed itself.  OpenSCAD builds successfully
on 'master' now, at least for i686 and x86_64:

https://ci.guix.gnu.org/search?query=openscad

Closing the bug, thanks for reporting it!

Subject: OpenScad Test errors
From: Ekaitz Zarraga <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 11 Mar 2020 20:48:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

My installation of GuixSD fails to install OpenSCAD.

Running `guix environment --pure --ad-hoc openscad` fails with the errors I attach.

Can you reproduce or is it just a problem with my installation?
Ideas about how can I correct this?

Regards,
Ekaitz

ElenQ Technology
Ethical Innovation